package university;

import java.util.Calendar;

import university.model.Student;
import university.persistence.StudentRepository;

public class UniversityShell {
	
	public static void main(String[] args) throws Exception {
		
		StudentRepository sp = new StudentRepository();
		Calendar c = Calendar.getInstance();
		
		c.set(1984, 1, 24);

		Student luisa = new Student();
		luisa.setCode(1000);
		luisa.setFirstName("Luisa");
		luisa.setLastName("Verdi");
		luisa.setBirthDate(c.getTime());
		sp.persist(luisa);

		c.set(1985, 4, 2);
		
		Student anna = new Student();
		anna.setCode(1001);
		anna.setFirstName("Anna");
		anna.setLastName("Bruni");
		anna.setBirthDate(c.getTime());
		sp.persist(anna);

		Student marco = new Student();
		
		marco.setCode(1002);
		marco.setFirstName("Marco");
		marco.setLastName("Rossi");
		marco.setBirthDate(c.getTime());
		sp.persist(marco);
	
		System.out.println("Studenti nati il 02/05/1985:");
		for (Student sc : sp.findByBirthDate(c.getTime())) {
			System.out.println(
					"\t"+sc.getFirstName()+" "+ 
					sc.getLastName()+" "+sc.getBirthDate());
		} 
	}
}
